{DivFix is a utility for reindexing partial DivX AVI movies
Copyright (C) 2000-2003  Csaba Budai

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA}

unit About;
{$DEFINE WINDOWS}

interface

uses
	SysUtils, Classes,
{$IFDEF WINDOWS}
  Windows, Messages, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls, ShellApi;
{$ELSE}
	QGraphics, QControls, QForms, QDialogs, QStdCtrls, QExtCtrls;
{$ENDIF}

type
  TForm2 = class(TForm)
    Button1: TButton;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Bevel3: TBevel;
    Memo1: TMemo;
    Bevel4: TBevel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure SendEMail(Sender: TObject);
    procedure ShowWebPage(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses DivX;

{$IFDEF WINDOWS}
{$R *.DFM}
{$ELSE}
{$R *.dfm}
{$ENDIF}

procedure TForm2.Button1Click(Sender: TObject);
begin
	Form2.Close;
  Form1.Enabled:=True;
end;

procedure TForm2.SendEMail(Sender: TObject);
begin
{$IFDEF WINDOWS}
	ShellExecute(0,'open',pchar('mailto:divfix@freemail.hu'),nil,nil,SW_NORMAL);
{$ELSE}
	Libc.system('mozilla mailto:divfix@freemail.hu &');
{$ENDIF}
end;

procedure TForm2.ShowWebPage(Sender: TObject);
begin
{$IFDEF WINDOWS}
	ShellExecute(0,'open',pchar('http://divfix.maxeline.com'),nil,nil,SW_MAXIMIZE);
{$ELSE}
	Libc.system('mozilla http://divfix.maxeline.com &');
{$ENDIF}
end;

end.
